Subject: Ticket Assigned - Delivery for order 9657403528
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 04 May 2021 08:36:55 +0000

Hi Wael amir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery for order 9657403528 Hello,

My order was expected yesterday but I received a phone call from the courier today saying the order address was was wrong and then he hung up when I asked when he would be delivering it. I’ve checked the invoices from Max and the delivery details are correct. The courier was unhelpful and highly rude.
Please confirm as soon as possible when my order will be arriving. One item was a replacement for a skirt I bought from you a few weeks ago, which completely came apart after one wash. Overall, my experiences with Max have been pretty poor.

Kind regards
Lauren de Silva  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2509036